/*******************************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ******************************************************************************/
package gov.va.med.esr.common.model.lookup;

// Java classes

// Library classes
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

/**
 * @author DNS   MERCHA TODO To change the template for this generated type
 *         comment go to Window - Preferences - Java - Code Style - Code
 *         Templates
 */
public class AlliedCountry extends AbstractNamedActiveLookup {

	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = 2646239130207074767L;

	public static final Code CODE_AUSTRALIA = new Code("1");

	public static final Code CODE_CANADA = new Code("2");

	public static final Code CODE_CZECHOSLOVAKIA = new Code("3");

	public static final Code CODE_FRANCE = new Code("4");

	public static final Code CODE_NEW_ZEALAND = new Code("5");

	public static final Code CODE_POLAND = new Code("6");

	public static final Code CODE_SOUTH_AFRICA = new Code("7");

	public static final Code CODE_SOVIET_UNION = new Code("8");

	public static final Code CODE_UK_GRT_BRITAIN_AND_IRELAND = new Code("9");

	public static class Code extends AbstractCode {
		/**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = -2810151274291530317L;

		private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}

	/**
	 * Default constructor.
	 */
	public AlliedCountry() {
		super();
	}
}
